# Metafield definition types

> The data types a metafield definition can use, each listing the validations it allows.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

A **Metafield definition type** is one of the data types a [Metafield definition](/api/product-management/metafield-definitions/) can use - `single_line_text_field`, `number_decimal`, `json`, `metaobject_reference`, and so on. This is a **read-only reference** resource: you list the types to discover the valid values for a definition's `type`.

Each type also reports its **`allowedValidations`** - the [validation](/api/product-management/metafield-definitions/) types you may attach to a definition of that type. This is the authoritative source for type/validation compatibility (see [Type compatibility](/api/product-management/metafield-definitions/#type-compatibility)).

## The Metafield definition type object

## Conventions

All requests require an OAuth 2.0 bearer token:

```
Authorization: Bearer <token>
```

This resource is read-only - it has no create, update or delete operations.
